package Gimp::Config;

=head1 NAME

Gimp::Config - Access config options found during configure time.

=head1 DESCRIPTION

The Gimp::Config module creates a hash %Gimp::Config which contains
all the definitions found by the configuration process.  You can
access these values just like you access any other values, i.e.
C<$Gimp::Config{KEY}>. Some important keys are:

  IN_GIMP	=> true when gimp-perl was part of the Gimp distribution.
  GIMP		=> the path of the gimp executable
  GIMPTOOL	=> the path of the gimptool executable
  gimpplugindir	=> the actual gimp plug-in directory

=head1 SEE ALSO

L<Gimp>.

=cut

%Gimp::Config = (
                  'GIMP_LIBS' => '-lgimpui-2.0 -lgimpwidgets-2.0 -lgimpmodule-2.0 -lgimp-2.0 -lgimpmath-2.0 -lgimpconfig-2.0 -lgimpcolor-2.0 -lgimpbase-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype',
                  'gimpplugindir' => '/usr/lib/gimp/2.0/plug-ins',
                  'GIMP_LIBS_NOUI' => '-lgimp-2.0 -lgimpmath-2.0 -lgimpconfig-2.0 -lgimpcolor-2.0 -lgimpbase-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype',
                  'GIMPTOOL' => '/usr/bin/gimptool-2.0',
                  'INTLLIBS' => '',
                  'GIMP_CFLAGS' => ' -I/var/tmp/perl-Gimp-2.31-1m.mo8/Gimp-2.31 -Ddatadir="\\"\\"" -pthread -I/usr/include/gimp-2.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ',
                  'GIMP' => '/usr/bin/gimp-2.8'
                );

1;
